/**
 * 发送消息请求
 * 
 */
import { z } from "zod";

export const SendMessageRequestSchema = z.object({
  message: z.string().default(""),
  image: z.string().default(""),
  imageId: z.string().default(""),
  imageThumbUrl: z.string().default(""),
  imageMediumUrl: z.string().default(""),
  imageOriginalUrl: z.string().default(""),
  imageWidth: z.number().default(0),
  imageHeight: z.number().default(0),
  useWebSocket: z.boolean().default(false),
});

export type SendMessageRequestInput = z.input<typeof SendMessageRequestSchema>;
export type SendMessageRequestData = z.output<typeof SendMessageRequestSchema>;
